textures/assault_rock/concrete_cammo_m01_rf
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/liquids/water_beach_nerve
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	tesssize 512
	
	cull disable
	nofog
	deformVertexes wave 160 sin 0 10 0 .3	// the chop

	waterfogvars ( 0.1 0.1 0.1 ) 512
	{ 
		fog on
		map textures/liquids/ocean_m1.tga
		rgbgen wave sin .4 0 0 .5	
		tcmod scale .2 .1
		tcmod scroll .03 .02		
	}	
	{ 
		map textures/liquids/ocean_m1.tga
		blendFunc GL_src_alpha GL_ONE // gl_zero_minus_src_alpha invalid
		alphagen const .5		
		tcmod scale .2 .2
		tcmod scroll -.03 -.02	
	}
}

textures/alpha/dish2
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/props/sign_c07
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/props/sign_c07.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/props/sign_c12
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/props/sign_c12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/skies/km_beachsky
{
	qer_editorimage textures/skies/beachsky_m01
	q3map_lightimage textures/skies/n_blue2.tga
	nocompress
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_globaltexture
	q3map_lightsubdivide 2048
	q3map_sun	0.274632 0.274632 0.39 35 120 45
	q3map_surfacelight 30

	skyparms full 200 -
	
	{
		map textures/skies/newclouds2.tga
	//	tcMod scroll 0.005 0.0005
		tcMod scale 16.0 16.0
		depthWrite
	}	

}

levelshots/etl_beach_cc_automap
{ 
	nopicmip
	nocompress
	nomipmaps
	{ 
		clampmap levelshots/etl_beach_cc.tga
		depthFunc equal
		rgbGen identity 
	} 
}

levelshots/etl_beach_cc_trans
{ 
	nopicmip
	nocompress
	nomipmaps
	{ 
		clampmap levelshots/etl_beach_cc.tga
		blendFunc blend
		rgbGen identity
		alphaGen vertex 
	} 
} 

gfx/limbo/beach_obj1
{
	nopicmip
	nocompress
	nomipmaps
    {
		map gfx/limbo/beach_obj1.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
    }
}

gfx/limbo/cm_radioroom
{
	nopicmip
	nocompress
	nomipmaps
    {
		map gfx/limbo/cm_radioroom.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
    }
}

gfx/limbo/cm_secretdocs
{
	nopicmip
	nocompress
	nomipmaps
    {
		map gfx/limbo/cm_secretdocs.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
    }
}

gfx/limbo/cm_sidedoor
{
	nopicmip
	nocompress
	nomipmaps
    {
		map gfx/limbo/cm_sidedoor.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
    }
}

gfx/limbo/cm_ammo
{
	nopicmip
	nocompress
	nomipmaps
    {
		map gfx/limbo/cm_ammo.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
    }
}